-- MySQL dump 10.10
--
-- Host: localhost    Database: cici
-- ------------------------------------------------------
-- Server version	5.0.19-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `admitere`
--

DROP TABLE IF EXISTS `admitere`;
CREATE TABLE `admitere` (
  `nume` tinytext,
  `prenume` tinytext,
  `sex` tinytext,
  `oras` tinytext,
  `datan` date default NULL,
  `proba1` decimal(5,2) default NULL,
  `proba2` decimal(5,2) default NULL,
  `media` decimal(5,2) default NULL,
  `rezultat` tinytext
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `admitere`
--


/*!40000 ALTER TABLE `admitere` DISABLE KEYS */;
LOCK TABLES `admitere` WRITE;
INSERT INTO `admitere` VALUES ('GHEORGHE','Livia','f','Brasov','1984-05-13','8.64','8.33',NULL,NULL),('POPESCU','Magda','f','Cluj','1983-05-20','1.13','3.10',NULL,NULL),('MARDALE','Raducu','m','Iasi','1982-03-14','9.55','10.00',NULL,NULL),('TUTUIANU','Ion','m','Brasov','1965-09-12','6.61','7.47',NULL,NULL),('POP','Mihaela','f','Cluj','1982-09-05','7.00','1.40',NULL,NULL),('ANTON','Ionut','m','Oradea','1980-03-12','4.78','4.04',NULL,NULL),('IRIMIE','Adrian','m','Timisoara','1979-03-10','4.31','3.84',NULL,NULL),('FIRIMITA','Valer','m','Sighisoara','1982-08-14','4.24','4.73',NULL,NULL),('BARBU','Viorica','f','Cluj','1985-10-08','9.05','2.16',NULL,NULL),('PALER','Ioan','m','Brasov','1962-04-09','10.00','4.84',NULL,NULL),('COSTEA','Alexandru','m','Bistrita','1981-12-04','1.95','5.36',NULL,NULL),('VINTILA','Mihai','m','Cluj','1982-10-23','7.99','1.07',NULL,NULL),('MEDREA','Alexandra','f','Iasi','1984-06-26','6.57','2.83',NULL,NULL),('FRITZ','Schuller','m','Calarasi','1983-02-08','9.90','5.38',NULL,NULL),('PINTEA','Andrada','f','Cluj','1983-04-13','5.34','1.55',NULL,NULL),('GOGOL','Natasha','f','Brasov','1982-01-04','10.00','9.78',NULL,NULL),('ZIMBRU','Angel','m','Rasinari','1983-02-08','2.86','2.18',NULL,NULL),('JELER','Raluca','f','Brasov','1984-07-07','9.65','3.31',NULL,NULL),('PANCEA','Mihai','m','Bicsad','1983-10-08','3.67','7.93',NULL,NULL),('SZABO','Zsolt','m','Cluj','1983-04-02','9.69','7.44',NULL,NULL),('PITIC','Adriana','f','Covasna','1983-08-05','1.20','4.05',NULL,NULL),('NANES','Alexandru','m','Zarnesti','1984-05-05','9.02','7.00',NULL,NULL),('POPA','Manuela','f','Baicoi','1985-02-28','9.01','4.28',NULL,NULL),('DRAGOIU','Cristinel','m','Brasov','1984-12-23','3.90','4.17',NULL,NULL),('ZAHARIA','George','m','Bucuresti','1985-11-22','5.89','9.53',NULL,NULL),('NICOLAE','Nicoleta','f','Tarlungeni','1985-01-15','4.13','1.55',NULL,NULL),('MARINESCU','Marcel','m','Zarnesti','1984-12-12','7.77','8.22',NULL,NULL),('ALBEAN','Tudorel','m','Sacele','1984-02-20','6.41','9.73',NULL,NULL),('TARAENU','Africhela','f','Campina','1984-09-05','4.16','1.57',NULL,NULL),('MANOLESCU','Nicusoara','f','Cluj','1984-12-12','8.42','8.19',NULL,NULL),('BACOVIA','Georgel','m','Bacau','1980-12-13','4.83','8.91',NULL,NULL),('HITLAR','Adolfiu','m','Codlea','1943-12-12','8.03','9.73',NULL,NULL),('COJOCARU','Bogdanel','m','Sacele','1982-05-23','4.40','4.47',NULL,NULL),('VASILE','Leana','f','Vaslui','1985-04-28','6.00','1.45',NULL,NULL),('SMANGLEA','Gheorghe','m','Paris','1981-07-05','7.38','1.93',NULL,NULL),('PREDA','Mihaela','f','Giurgiu','1957-04-13','4.23','5.68',NULL,NULL),('BOBARIU','Mirela','f','Bucuresti','1987-08-31','1.69','5.69',NULL,NULL),('MIHAI','Mihaela','f','Resita','1984-09-14','3.21','8.90',NULL,NULL),('BASCA','Sorin','m','Bacau','1981-10-05','4.91','8.15',NULL,NULL),('PRICOPIE','Liliana','f','Podu Turcu','1969-07-24','4.59','3.50',NULL,NULL),('DEDU','Anca','f','Brasov','1984-05-07','4.36','6.80',NULL,NULL),('FLOREA','Iulian','m','Brasov','1984-06-15','3.78','9.28',NULL,NULL),('BALAN','Daniela','f','Carpinis','1974-03-02','4.03','7.37',NULL,NULL),('MATEIU','Cristiana','f','Oradea','1969-04-05','8.56','8.80',NULL,NULL),('HOMOCEA','Mihaela','f','Brasov','1977-06-08','6.15','4.48',NULL,NULL),('PARPARITA','Mihai','m','Iasi','1975-05-30','4.80','3.29',NULL,NULL),('VOINA','Mihai','m','Halchiu','1975-11-08','7.86','7.05',NULL,NULL),('SAVA','Madalina','f','Bucuresti','1983-10-03','1.09','8.07',NULL,NULL),('TOMA','Elidda','f','Craiova','1981-08-20','6.19','1.97',NULL,NULL),('MIHALI','Vlad','m','Oradea','1985-03-12','5.36','3.58',NULL,NULL),('CARUSO','Alexandru','m','Deva','1982-12-31','3.35','1.19',NULL,NULL),('OVESEA','Alina','f','Bucuresti','1983-05-11','5.96','7.44',NULL,NULL),('BURTEA','VIctoria','f','Hunedoara','1984-11-10','1.78','9.38',NULL,NULL),('HRISTACHE','Cosmin','m','Satu Mare','1986-06-06','3.78','7.46',NULL,NULL),('CIOFLEC','Andeea','f','Cluj','1982-03-28','3.73','8.50',NULL,NULL),('NEAGU','Stefana','f','Timisoara','1985-05-08','2.90','4.82',NULL,NULL),('FILIMON','Catalin','m','Tulcea','1983-03-16','6.97','2.67',NULL,NULL),('ANDRUSCA','Lelia','f','Focsani','1982-09-08','6.64','9.39',NULL,NULL),('STEFANUCI','Mihaela','f','Urziceni','1981-06-15','6.79','3.15',NULL,NULL),('DECUSEARA','Sorin','m','Suceava','1986-08-12','2.77','7.56',NULL,NULL),('RADBATA','Anca','f','Craiova','1984-08-14','7.98','2.32',NULL,NULL),('BADAU','Anca','f','Giurgiu','1985-01-01','3.00','4.56',NULL,NULL),('ONICA','Robert','m','Arad','1984-07-13','1.99','3.86',NULL,NULL),('MILITARU','Dragos','m','Pitesti','1979-04-22','1.50','2.84',NULL,NULL),('MARIN','Alexandra','f','Costesti','1982-01-12','3.34','2.97',NULL,NULL),('STOIESCU','Ramona','f','Cluj','1982-10-05','3.63','8.72',NULL,NULL),('TUDOSE','Iulian','m','Bistrita','1978-04-21','8.36','4.09',NULL,NULL),('STOIAN','Cristina','f','Brasov','1982-07-18','3.50','6.46',NULL,NULL),('LETCA','Bogdan','m','Tohan','1981-10-02','8.17','9.46',NULL,NULL),('MARIN','Dragos','m','Amara','1980-05-24','4.06','5.26',NULL,NULL),('JIMBOREAN','Paula','f','Buzau','1975-06-27','1.65','4.62',NULL,NULL),('VELICAN','Diana','f','Codlea','1955-08-13','1.63','2.81',NULL,NULL),('BOERIU','Catalin','m','Jimbolia','1945-03-08','3.84','5.13',NULL,NULL),('DANCIU','Ramona','f','Fieni','1969-04-10','2.80','2.37',NULL,NULL),('TANASE','George','m','Moreni','1976-08-07','5.51','6.78',NULL,NULL),('RADU','Oana','f','Braila','1980-06-29','1.14','5.18',NULL,NULL),('FLOREA','Liviu','m','Bucuresti','1981-12-27','5.22','4.42',NULL,NULL),('POPESC','Alin','m','Calarasi','1962-02-15','1.05','7.41',NULL,NULL),('POPA','Tanda','m','Fagaras','1923-04-08','2.31','7.07',NULL,NULL),('MOS','Goriot','m','Lugoj','1984-05-02','6.11','8.58',NULL,NULL),('SAMADAU','Lica','m','Sighisoara','1983-04-23','5.90','1.84',NULL,NULL),('MELIH','Anday','m','Tulcea','1908-09-02','2.73','7.10',NULL,NULL),('ROSEVICI','Tadeusz','m','Cerna','1984-08-18','6.04','8.98',NULL,NULL),('MADAM','Bovary','f','Bucuresti','1985-02-04','6.17','5.81',NULL,NULL),('KNULP','Peter','m','Cluj','1987-09-14','5.44','1.13',NULL,NULL),('HESSE','Herman','m','Brasov','1984-08-22','8.63','8.12',NULL,NULL),('COELHO','Paulo','m','Cluj','1981-09-11','2.41','7.16',NULL,NULL),('SABATO','Ernest','m','Iasi','1981-03-09','3.64','5.58',NULL,NULL),('TOLSTOI','Lev','m','Balti','1985-08-07','9.33','4.08',NULL,NULL),('ZOLA','Emil','m','Brazi','1981-05-09','1.07','6.07',NULL,NULL),('CIORAN','Emil','m','Constanta','1982-08-23','4.05','9.46',NULL,NULL),('KANT','Emanuel','m','Pitesti','1985-01-09','6.44','2.58',NULL,NULL),('SIMA','Felix','m','Deva','1982-05-06','3.15','3.23',NULL,NULL),('GEORGESCU','Florin','m','Cluj','1983-03-14','7.38','5.11',NULL,NULL),('ENERGESCU','Motor','m','Sebes','1985-09-15','2.45','2.26',NULL,NULL),('GLUGA','Bonifaciu','m','Ialomita','1984-12-14','4.25','5.13',NULL,NULL),('CIORDESCU','Pardailan','m','Bucuresti','1984-06-15','3.40','6.59',NULL,NULL),('FLOAREA','Margareta','f','Craiova','1982-11-12','8.90','5.57',NULL,NULL),('TURNER','Ghilotina','f','Iasi','1983-02-18','5.99','1.17',NULL,NULL),('CHIORIU','Dalton','m','Orbeti','1974-05-19','1.85','2.72',NULL,NULL),('TROMPESCU','Eustachie','m','Surdeti','1984-05-18','4.80','9.90',NULL,NULL),('BOROBOT','Loredana','f','Suceava','1982-02-04','4.57','5.37',NULL,NULL),('GANDAC','Francfurt','m','Strehaia','1984-04-02','4.32','7.15',NULL,NULL),('FOMESCU','Ghiort','m','Fometi','1985-04-02','5.66','1.44',NULL,NULL),('LAMPINEAN','Neonila','m','Lumifer','1905-04-03','10.00','4.99',NULL,NULL),('LING','Cia Puc','f','Shanghai','1985-01-03','9.24','9.12',NULL,NULL),('MORESCU','Martinel','m','Moreni','1984-05-04','7.76','5.42',NULL,NULL),('BUJIE','Nechifor','m','Focsani','1985-06-23','5.84','5.23',NULL,NULL),('CIUBI','Florin','m','Tohan','1989-03-10','7.87','9.23',NULL,NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `admitere` ENABLE KEYS */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

