/*
  Primele n linii vor fi ale unei matrice patratice binare, cu 1 pe diagonala
principala shi 0 in rest.
  Astfel, 1-urile care "se plimba" intre 2 linii vecine ne vor da cele
2 elemente care difera, restul (0-urile) fiind cele care coincid.
  Trecerea de la linia n la n+1 va fi de forma
    000...0001
    110...0001   ->primele 2 1-uri vor fi elementele diferite
		   restul (0-urile shi ultimul 1) vor fi elem. care coincid
  Continuarea se face "plimbind" cel de-al doilea 1 pe diagonala.
  Practic, va fi o matrice patratica de ordin n-2 cu 1 pe diagonala,
  shi bordata in stinga shi dreapta cu coloane de 1.

Ex:
  n=5
   10000
   01000
   00100
   00010
   00001
   11001
   10101
   10011

*/
#include<iostream.h>
#include<conio.h>
#include<mem.h>

void main()
{
 clrscr();
 int n,i,j,a[39][21];
 cout<<"N=";cin>>n;
 memset(a,0,sizeof(a));
 //facem mai intii prima parte a matricei
 for(i=1;i<=n;i++) a[i][i]=1;
 //bagam cele 2 coloane de 1 shi diagonala de sub
 for(i=1;i<=n-2;i++)
    a[n+i][1]=a[n+i][n]=a[n+i][i+1]=1;
 cout<<"Uite-o:\n";
 for(i=1;i<=2*n-2;i++)
 {
  for(j=1;j<=n;j++) cout<<a[i][j]<<" ";
  cout<<"\n";
 }
 getch();
}