/*
  Vectorul fiind sortat, algoritmul eficient de cautare a indicelui unui
element este cautarea binara.
  In cazul de fatza, modificam acest algoritm pentru a determina indicii
elementului celui mai mic, mai mari sau egal cu un numar dat, respectiv
celui mai mare, mai mic sau egal cu un numar dat.
 Ex:   n=7
   v=-10 -5 -3 -1 10 15 17
  a=-4 shi b=11

 In intervalul [-4,11] se gasesc 3 valori.
 Deci il vom determina pe -3, pe 10 (indicii lor) shi numaram facind
diferentza indicilor plus 1

  Algoritmul de cautare binara il modificam astfel:
   * il aplicam in varianta clasica pentru gasirea lui a
   * daca il gasim pe a -> ok, indicele e clar
   * daca nu il gasim, alg. se va termina cu li>lf.
   dintre v[li] shi v[lf] il alegem pe cel care ne convine

  Eficientza consta in numarul mic de pashi efectuat de algorim (ordin
logaritmic O(log n) )

*/

#include<iostream.h>
#include<conio.h>


int count(double x[2501],double a,double b)
{
 // varianta cu 2500 (comentata) e ca in enuntz.
 //Cea curenta este doar pentru testare
 double aux;
 if(a>b) aux=a,a=b,b=aux;
 //cautam binar pe a:
 int li=1,lf=/*2500*/7,m,l1,l2;//l1=indicele primului elem. >= cu a
 m=(li+lf)/2;
 while(li<=lf && x[m]!=a)
   {
     if(a<x[m]) lf=m-1;
	   else li=m+1;
     m=(li+lf)/2;
   }
 if(x[m]==a) l1=m;
 else
   {
    l1=li;
    if(lf!=0&&x[lf]>=a) l1=lf;
   }
 //analog shi pe b:
 li=1;lf=/*2500*/7;m=(li+lf)/2;
 while(li<=lf &&x[m]!=b)
    {
     if(b<x[m]) lf=m-1;
	   else li=m+1;
     m=(li+lf)/2;
    }
 if(x[m]==b) l2=m;
 else
  {
   l2=lf;
   if(li!=0&&x[li]<=b) l2=li;
  }
 return l2-l1+1;
}

double x[2501]={0,-10,-5,-3,-1,10,15,17},a=-10,b=15;

void main()
{
 clrscr();
 cout<<count(x,a,b);
 getch();
}