/*
 Secventza construieshte un numar cu subshirul cifrelor aflate in ordine
descrescatoare incepind de la sfirshitul numarului, punindu-le in ordine
inversa decit apar ele in numar.
 Subshirul este construit astfel:
   * prima sa cifra este ultima cifra a numarului
   * urmatoarea cifra a subshirului va fi urmatoarea cifra a numarului
     strict mai mica decit ultima cifra pusa in acesta
 Daca numarul are toate cifrele in ordine descrescatoare, in subshir se va
pune doar ultima cifra a acestuia.

Raspunsuri:
 1) Va afisha 32
 2) Vezi mai jos
 3) In mod normal, atunci cind rescriem o repetitiva de tipul
     +-cit timp <conditzie> executa
     | ...
     +[]

 pe una de tipul:
     +-repeta
     | ...
     +-pina cind <negarea conditziei>

 pe linga faptul ca trebuie sa avem grija de negarea conditziei
(deci la noi, din n>9 devine n<=9) trebuie sa vedem daca nu exista diferentze
de executare taman pe cazul limita.

  In cazul nostru, acesta ar fi dat de situatiile in care pe "cit timp n>9"
din enuntz nu se intra, cazuri in care totushi pe repeta..pina cind se va
intra.
  Shi anume cazurile cind n e de-o singura cifra.
  Se vede rapid ca, in m ramine taman acea cifra, lucru care se va
intimpla de asemenea shi pe repeta.. pina cind, deci morala este ca nu mai
trebuie sa punem nici un alt if inaintea repetitivei.
 Transcrierea este deci:
    citeste n {n natural}
    a <- n%10
    m <- a
    +-repeta
    |  n <- [n/10]
    |  b <- n%10
    |  +-daca a>b atunci
    |  |  m <- m*10 + b
    |  |  a <- b
    |  +-[]
    +-pina cind n<=9
    scrie m
  4) E corecta orice valoare care se termina in 0, de exemplu
      10, 100, 1000 , 32870, 320
*/
#include<iostream.h>
#include<conio.h>

void main()
{
 clrscr();
  long n,a,b,m=0;
  cout<<"n=";cin>>n;
  a=n%10;
  m=a;
  while(n>9)
   {
    n/=10;
    b=n%10;
    if(a>b)
       {
	m=m*10+b;
	a=b;
       }
   }
  cout<<m;
 getch();
}