/*
  Ideea esentziala pentru a rezolva punctul b al problemei, pleaca de la
faptul ca se garanteaza ca cifrele numarului care se da SUNT DISTINCTE !!
  Deci nu se repeta nici una.

  Functzia panta determina diferentza dintre cifra maxima shi aia minima.
  Ia luatzi un exemplu:
     nr=25634 -> panta(nr) va fi 6-2=4
	       or' numarul are 5 cifre
     nr=784596 -> panta este 9-4=5
	       or' numarul are 6 cifre
  Ia sa luam unul care nu are cifrele consecutive.
  Asta inseamna, ele fiind distincte (Deci nu se repeta) ca exista "gaura"
deci intre cifra minima shi maxima, daca ar fi sa numaram din 1 in 1,
cel putzin o cifra nu apare.
Ex:
    nr=782436 -> panta(nr) va fi 8-2=6
	    or' numarul are 6 cifre (shi-ar fi trebuit sa aiba 7 = panta+1)

Deci:
  * calculam panta lui nr
  * vedem cite cifre are (ncif)
  daca ncif==panta-1, atunci are cifre consecutive.
  Daca nu, nu are
*/
#include<conio.h>
#include<iostream.h>

int panta(long n)
{
 int cmin,cmax;
 cmin=cmax=n%10;
 do
  { if(n%10<cmin) cmin=n%10;
    if(n%10>cmax) cmax=n%10;
    n/=10;
  }while(n);
 return cmax-cmin;
}

void main()
{
 clrscr();
 long k,d;
 int nrc=0;
 cout<<"k=";cin>>k;
 d=k;
 do
 {
  nrc++;
  d/=10;
 }while(d);
 if(nrc==panta(k)+1) cout<<"DA";
 else cout<<"NU";
 getch();
}