	Shiruri de caractere - lucrul cu pointeri
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

 * in cazul oricarui fel de shir (fie el normal, fie de caractere)
prin numele shirului (variabila din declaratzie) fara indice se intzelege
adresa de memorie la care se afla acesta alocat.
 * in cazul unui shir de caractere, elementele sunt alocate la adrese
din octet in octet (byte in byte) pt. ca acest tip ocupa 1 byte.

 * avind un anumit shir de caractere (ex: char a[15]="gica")
prin a se intzelege adresa se inceput a acestui string, deci adresa
la care in memorie se afla 'g'
 * folosind expresii de tipul a+1, a+2,.. <=>
adresa caracterului urmator, . . . celui de la a

 * afisharea obishnuita, shi de altfel orice operatzie cu string,
primind o adresa de memorie va lua toate caracterele incepind de la
acea adresa de memorie pina da de un 0.
vezi apl01.cpp
 * daca avem adresa de memorie a unui caracter (ex: a+3, ...)
folosind expresii de forma *adresa se obtzine CARACTERUL de la acea adresa
vezi apl01.cpp

 * scazind 2 pointeri se obtzine diferentza dintre indicii respectivi
apl02.cpp

 Un pointer fara adresa se declara prin
char *nume;

 -> inainte de a fi folosit, trebuie dus peste o adresa de memorie
existenta.
Ex:
 char a[20]="Georgel";
 char *p;
 p=a;//am dus p peste adresa de la care incepe a, adik
 //in cazul nostru, acolo unde e litera 'G'
 *p='J';//in loc de 'G' am pus 'J'
 p=p+4;//am dus p-ul la litera 'g'
 *p='j';//am modificat 'g' cu 'j'
 cout<<a;//va ieshi Jeorjel

-> parcurgerea unui string caracter cu caracter:

  char *p;
  for(p=adresa_string;*p;p++)
			 cout<<*p;//asta va afisha

-> functzii pt. caractere:  (ctype.h)
toupper(caracter); -> intoarce caracterul respectiv convertit la litera
   mare corespunzatoare, doar dak e cazul
tolower(caracter); -> pe dos
Ex:
  cout<< toupper('c'); -> C
  cout<< toupper('D'); -> D
  cout<< toupper('#'); -> #

strupr(string); -> care NU intoarce nimic, ci MODIFICA stringul dat,
    convertindu-i toate literele mici la mari
strlwr(string); -> pe dos
streev(string); -> modifica stringul, inversindu-i caracterele

-> functzii specifice stringurilor (string.h)

* strlen(string); -> nr. de caractere din string
Ex:
 char s[100]="Jeorje";
 cout<<strlen(s); -> 6
 for(i=0;i<=strlen(s)-1;i++)
	 cout<<s[i];//-> afisheaza litera cu litera din string

Obs. caracterele, fiind indiciate de la 0, au indicele cel mai mare
strlen(s)-1

* strchr(string,caracter); -> intoarce adresa de memorie
			   a primei aparitzii ale lui caracter in string
Ex:
char s[100]="elefantul";
cout<<strchr(s,'f'); // -> afisheaza fantul
char *p=strchr(s,'t');
cout<<p-s;//afisheaza 6

Daca NU gaseshte, afisheaza NULL

* strrchr(string,caracter);-> la fel, doar k se refera la ultima aparitzie

* strstr(string,substrings); -> la fel, cauta prima aparitzie a lui substring
in string

* strcmp(string1,string2); -> le compara alfabetic (k-n dictzionar)
     intorcind:    ceva negativ dak string1 e 'nainte de string2
		   0 dak sunt egale
		   ceva pozitiv dak string2 e dupa string1

!! face distinctzie intre literele mari shi mici - in tabela ASCII
literele mici sunt DUPA cele mari!!

Ex:
  strcmp("mama","bunica"); -> va da ceva pozitiv
  strcmp("Mama","bunica"); -> va da ceva negativ -> pt. k 'M' e inainte de 'b'

* strcmpi(..,..); analog -> insa NU ignora litere mari/mici
  strcmpi("Mama","bunica"); -> va da ceva pozitiv
============
  Separarea unui string
  ~~~~~~~~~~~~~~~~~~~~~

 Avem o functzie speciala = strtok
Modul sau de aplicare este urmatorul:
  (fie s= stringul de separat)

Initzial, se face un apel de forma
    strtok(s,"lista de separatori");
-> intoarce un pointer = adresa de inceput a primului cuvint din string
   relativ la separatorii pe care i-am dat

-> toate celelalte apeluri trebuie facute de forma
    strtok(NULL,"lista de separatori");
care, pe masura ce le aplicam, vor intoarce adresa urmatorului cuvint
caruia i-a venit rindul la separat
  Cind se gata (dak NU mai sunt cuvinte) va intoarce NULL (o constanta
speciala folosita in C pt. adrese de memorie)

!! metoda este DISTRUCTIVA pentru shirul pe care-l separam!!

Schema de aplicare, de ex. pt. a afisha cuvintele dintr-un string s,
separate in functzie de spatzii:

 char *p;
 p=strtok(s," ");
 while(p!=NULL)
  {
   cout<<p;
   p=strtok(NULL," ");
  }

Vezi apl05.cpp
=========================================================
   Concatenarea(alipire) unui string la sfirhsitul celuilalt
   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

strcat(stringul_destinatzie,stringul_pe_care-l_alipim);

Ex:
char s[20]="ele";
strcat(s,"fant");
cout<<s;//-> elefant

=====================
conversii:
~~~~~~~~~~
  -> de la numar intreg la string:
       itoa  -> pentru int
       ltoa  -> pentru long
       ultoa -> pentru unsigned long
 Fac o valoare numerica sa fie transfromata in string <=> sa poata
fi accesata la nivel de caracter.

Sintaxa:
   itoa(<numar>,<string>,<baza de numeratzie>);
(e mai mult decit conversie - face inclusiv trecere dintr-o baza in alta)

Ex:
  char s[100];
  ltoa(7286,s,10);
  cout<<s[0]; //-> primul caracter din stringul obtzinut, adik: 7
  // !! 7 e caracter, NU numar

  -> de la string la numar intreg:
       atoi   -> int
       atol   -> long
       atof   -> float
  Sintaxa: atoi(<string>);
daca e posibil, interpreteaza caracterele din string ca shi pe un numar,
intorcind valoarea respectiva
Ex:
 cout<<atoi("762"); -> intoarce intregul 762
!!! NU functzioneaza decit daca parametru este string!! - NU putem sa
folosim aceasta functzie pentru char-uri.

Daca dorim sa aflam care este valoarea numerica a unui caracter cifra
folosim
  caracter_cifra-'0'  -> face diferentza dintre codurile ASCII

pe dos, daca din cifra vrem sa obtzinem caracterul corespunzator,
folosim
   '0'+cifra

Ex:
apl06.cpp
   Se citeshte un numar de tip long.
Sa se shtearga din el toate aparitziile cifrei maxime.
Sa se evalueze numarul ramas + radicalul sau
 NU vom folosi decit stringuri+conversii.
Ex: nr=18273 -> 1273
    nr=18082884 -> 1024 -> 32

Tema: de la ACSL, 
83-84, Junior, pag. 72
84-85, Junior, pag. 104, 111, 124