/* 2. Sa se citeasca din fishierul pers.in un shir de struct in care retzinem
numele unei persoane (30 caractere) inaltzimea sa (un double cu 2 zecimale)
shi data nashterii, folosind tipul de date definit la problema anterioara.
  ASHADAR, vetzi avea struct in cadrul altui struct.

  Sa se sorteze persoanele dupa data nashterii, cronologic, folosind
functzia de la problema anterioara.
  Sa se afisheze lista finala, sub forma unui tabel prezentabil de forma:

+----------------------------------+----------------+------------+
| NUME                             | Data nashterii | Inaltzimea |
+----------------------------------+----------------+------------+
| Miron                            |   31/08/1988   |    1.87    |
| Mironescu                        |   21/09/1978   |    1.60    |
+----------------------------------+----------------+------------+
   Vetzi scrie functzii pentru:
- citirea intregului shir de struct din fishier
- afisharea datelor din shirul de struct sub forma de tabel
- sortarea shirului de struct dupa data nashterii
*/

#include<fstream.h>
#include<conio.h>
#include<iomanip.h>

ifstream fin("pers.in");

struct data{ int zi,luna,an;};

struct elev{ char nume[31];
	     data d;
	     double a;
	   };

elev citire()
{ elev s;
  fin.get(s.nume,31);
  fin>>s.d.zi>>s.d.luna>>s.d.an;
  fin>>s.a;
  fin.get();
  return s;
}

int crono(data d1, data d2)
{ if(d1.an<d2.an ||
     d1.an==d2.an && d1.luna<d2.luna ||
     d1.an==d2.an && d1.luna==d2.luna && d1.zi<d2.zi ) return -1;
  if(d1.an==d2.an && d1.luna==d2.luna && d1.zi==d2.zi) return 0;
  return 1;
}

void sortare(elev s[100],int n)
{ int i,j;
  elev aux;
  for(i=1;i<n;i++)
     for(j=i+1;j<=n;j++) if(crono(s[i].d,s[j].d)==1) { aux=s[i];
						       s[i]=s[i+1];
						       s[i+1]=aux;
						     }
}

void afishare(elev s)
{ cout<<"|"<<setw(30)<<s.nume<<"|    "<<
	setw(2)<<setfill('0')<<s.d.zi<<"/"<<setw(2)<<s.d.luna
	<<"/"<<setw(4)<<s.d.an<<"|"<<setw(10)<<setfill(' ')
	<<setiosflags(ios::fixed|ios::showpoint)<<setprecision(2)<<s.a<<"|\n";
}

void main()
{ clrscr();
  elev lista[100];
  int i=0,n;
  while(!fin.eof()) lista[++i]=citire();
  n=i-1;
  sortare(lista,n);
  cout<<"+------------------------------+--------------+----------+\n";
  cout<<"| Nume                         | data nasterii| inaltimea|\n";
  cout<<"+------------------------------+--------------+----------+\n";
  for(i=1;i<=n;i++) afishare(lista[i]);
  cout<<"+------------------------------+--------------+----------+\n";
  getch();
}