/*
 Program facut de Alex IONESCU

 Obs: in fishierul royfloyd.in se vor pune -1 uri in loc de infinitzi
*/
#include<fstream.h>
#include<iomanip.h>
#include<values.h>

ofstream fout("royfloyd.out");
int d[30][30],l[30][30],n;

void citire_constr()
{
 ifstream fin("royfloyd.in");
 int i,j;
 fin>>n;
 for(i=1;i<=n;i++)
	for(j=1;j<=n;j++)
		{
		 fin>>d[i][j];
		 if(d[i][j]==-1)
			{
			 d[i][j]=MAXINT/2;
			 l[i][j]=0;
			}
		   else l[i][j]=i;
		 if(i==j) l[i][j]=0;
		}
 fin.close();
}

void afish(int k)
{
 int i,j;
 fout<<"k= "<<k<<"\n";
 fout<<"Noul d:\n";
 for(i=1;i<=n;i++)
	{
	 for(j=1;j<=n;j++)
	     if(d[i][j]<MAXINT/2)
		fout<<setw(7)<<d[i][j];
	     else fout<<setw(7)<<"inf";
	 fout<<"\n";
	}
 fout<<"Noul l:\n";
 for(i=1;i<=n;i++)
	{
	 for(j=1;j<=n;j++)
		fout<<setw(7)<<l[i][j];
	 fout<<"\n";
	}
 fout<<"~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n";
}

void main()
{
 int i,j,k;
 citire_constr();
 for(k=1;k<=n;k++)
	{
	 for(i=1;i<=n;i++)
		for(j=1;j<=n;j++)
			if(i!=j && i!=k && j!=k &&
			   d[i][k]+d[k][j]<d[i][j])
				{
				 d[i][j]=d[i][k]+d[k][j];
				 l[i][j]=k;
				}
	  afish(k);
	}
 fout.close();
}