/*
Suma a doua polinoame
   Exemplu de date:
3 5
0.5 -2 3 1
1.25 -3 -2 -3 0 3
Suma polinoamelor are gradul 5, fiind:
3x^5-2x^3+x^2-5x+1.75

Deci vom afisha coef: 1.75, -5, 1, -2, 0, 3

Obs: pe cazul general coeficientzii is de tip double.

In general gradul sumei este maximul dintre gradele polinoamelor.
Execeptzie: cind adunam 2 polinoame de acelashi grad, suma poate avea grad
mai mic. Astfel, daca ne dau coeficientzii gradului estimat 0, vom scadea pina
dam de un coeficient nenul, sau, in cel mai rau caz, cind ajungem la termenul
liber care e tot 0.
*/
#include<fstream.h>

void main()
{
   ifstream fin("pol.in");
   int n,m,i,gr_s;fin>>n>>m;
   double a[100],b[100],su[100];
   for(i=0;i<=n;i++)
		  fin>>a[i];
   for(i=0;i<=m;i++)
		  fin>>b[i];
   fin.close();
   //estimam gradul sumei
   gr_s=n;
   if(m>n) gr_s=m;
   //completam pol mai mic cu 0-uri pina la gradu' mai mare:
   //(dintre cele 2 for-uri se va executa exact 1
   for(i=n+1;i<=gr_s;i++) a[i]=0;
   for(i=m+1;i<=gr_s;i++) b[i]=0;
   //shi amu' le adunam:
   for(i=0;i<=gr_s;i++)
		su[i]=a[i]+b[i];
   //corectam gradul sumei dak e cazul
   while(gr_s>0 && su[gr_s]==0)
			     gr_s--;
   //afisham suma
   ofstream fout("pol.out");
   fout<<gr_s<<"\n";
   for(i=0;i<=gr_s;i++)
	fout<<su[i]<<" ";
   fout.close();
}