/*
Produsul a doua polinoame
   Exemplu de date:
2 3
5 -3 1
2 -1 0 2
Produsul polinoamelor are gradul 5, fiind:
2x^5-6x^4+9x^3+5x^2-11x+10

Deci vom afisha coef: 10, -11, 5, 9, -6, 2

Obs: pe cazul general coeficientzii is de tip double.

Gradul produsului este always suma gradelor.
Calculul: se considera coeficientzii ce NU mai apar in polinoame ca
fiind egali cu 0 (deci ai termenilor ce depashesc gradul)
  Coeficientzii produsului se obtzin cu formula

     c[i] = suma  a[k]*b[i-k]
	    k=0,i
*/
#include<fstream.h>

void main()
{
   ifstream fin("pol.in");
   int n,m,i,gr_p,k;fin>>n>>m;
   double a[100],b[100],pr[100];
   for(i=0;i<=n;i++)
		  fin>>a[i];
   for(i=0;i<=m;i++)
		  fin>>b[i];
   fin.close();
   //caculam gradul produsului
   gr_p=n+m;
   //completam ambele pol cu 0-uri pina la gradu' produsului
   for(i=n+1;i<=gr_p;i++) a[i]=0;
   for(i=m+1;i<=gr_p;i++) b[i]=0;
   //shi amu' calculam coef. produsului
   for(i=0;i<=gr_p;i++)
	   {
	     pr[i]=0;
	     for(k=0;k<=i;k++)
		     pr[i]+=a[k]*b[i-k];
	   }
   //afisham produsul
   ofstream fout("pol.out");
   fout<<gr_p<<"\n";
   for(i=0;i<=gr_p;i++)
	fout<<pr[i]<<" ";
   fout.close();
}