/*
   La a) vom defini fctzia
       double s(long n)
   Cerintza b) (pt. k NU se cere optimizare) se bazeaza pe faptul k
      1/sqrt(i) se poate scrie ca s(i)-s(i-1) cu exceptzia lu' s(1)

*/
#include<iomanip.h>
#include<fstream.h>
#include<math.h>

double s(long n)
{
 double sum=0;
 long i;
 for(i=1;i<=n;i++)
    sum+=1/sqrt(i);
 return sum;
}

void main()
{
 ifstream fin("bac.in");ofstream fout("bac.out");
 double sum=0;
 long i,n;
 fin>>n;fin.close();
 for(i=1;i<=n-1;i++)
    if(i%2!=0)
	   sum+=2*s(i);
       else
	   sum-=2*s(i);
 sum+=s(n);//pt. k se garanteaza k-i impar
 fout<<setiosflags(ios::showpoint|ios::fixed)<<setprecision(3)<<sum;
 fout.close();
}