    Tipuri de date in C++
    ~~~~~~~~~~~~~~~~~~~~~~

Notatzii: ^ : putere (el NU exista in C++)

1)constante: 'a' -> de tip caracter (pseudonumerice)
	   12  -> de tip intreg (numeric, scurt, pina in 32768)
	   12L -> de tip intreg lung (pina in 4 miliarde)
	   3.1415927 -> de tip real (cu zecimale)
	   1.234e+5 -> 1.234*10^5 = 123400
	   -4.12e-4 -> -4.12*10^(-4) = -0.000412
	   "ana are mere" -> de tip shir de caractere (string)
Obs: pentru nr.reale, calculatorul memoreaza de fapt forma shtiintzifica
 deci ceva de genul
    m*10^e
 in care m s.n. mantisa shi are doar o singura cifra in fatza virgulei
	 e s.n. exponent


2)variabile:
  se declara prin :
      <tip> <identificator>;
Ex: int a;            //aici am declarat o vb. de tip int
    double q,w=5.18,e; //aici 3 double dintre care pe w l-am shi initzializat
    long m_1;

3)expresii:
   aritmetice:
       3+4 //7
       6/4 //asta da 1 -> in C++, cind impartzim 2 intregi iese citul intreg
       6.0/4 //asta da 1.5 -> cind unul este real, face citul real
       (double)6/4 //tot 1.5 -> prin asta il fortzam sa-l trateze pe 6
       //ca pe un nr. real
       3*4 //12
       3-2 //1
       6%4 //asta da 2 -> in c++ % = restul shi NU poate fi aplicat decit
	   //intre 2 expresii intregi
   relatzionale-> astea dau 0 sau 1, pt. fals / adevarat
       1<=3//->1
       3>4//->0
       1==3//0   !!atentzie, la comparare se foloseshte ==
       2!=5//1  -> in C++ pentru diferit se foloseshte !=
   logice -> permit compunere de valori de adevar /fals
       ele sunt:
	 && -> shi-ul logic
	 || -> sau-ul logic
	 ! ->negatzia
   prioritatea: mai intii negatzia, apoi &&, la urma ||
Ex:
     pt. a verif. daca un nr. x e simultan shi multiplu de 2 shi de 3
	     x%2==0 && x%3==0
     pt. a verif. daca un nr. e FIE multiplu de 3, fie de 2:
	     x%2==0 || x%3==0
     pt. verif. faptul ca un nr. nu e pozitiv
	     !(x>0)

   Tipurile de valori de baza (simple) in C++
   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

 char -> fie un singur caracter,
	 fie nr. intreg intre [-128..127] =[-2^7..2^7-1]
 unsigned char -> fie un singur caracter
		  fie nr. intreg intre [0..255] = [0..2^8-1]
     -> ambele ocupa 1 octet = byte

 int -> nr. intreg intre [-32768..32767] = [-2^15..2^15-1]
 unsigned int -> nr. integ intre [0..65535] = [0..2^16-1]
    ambele ocupa 2 octetzi

 long -> nr. intreg intre [-2^31..2^31-1] -> cu - shi + aprox. 2 miliarde
 unsigned long -> nr. intreg intre [0..2^32-1] -> aprox. 4 miliarde
    ambele ocupa 4 otctetzi  -> mizam pe aprox. 9 cifre


 float -> nr. real, pt. care mantisa are aprox. 7-8 cifre
	  shi exponentul max. 2 cifre
 double -> nr. real, pt. care mantisa are aprox. 15-16 cifre
	  shi exponentul max. 3 cifre

========
  Instructziuni in C++
  ~~~~~~~~~~~~~~~~~~~~
-> afisharea:
      cout<<expr1<<expr2<<......;
   in care, expresiile pot fi de orice tip valid in C++
Obs: in cadrul unui shir de caractere, caracterul \n produce
     trecerea la rind nou.
  -> vezi apl02.cpp

-> citirea:
      cin>>variab1>>variab2>>...;
  Valorile pot fi introduse fie cu spatzii intre ele, fie cu enter-uri
dupa un anumit grup
  -> vezi apl03.cpp

-> atribuire:
      in C++ atribuirea are valentza de expresie
      <=> orice atribuire, pe linga faptul ca atribuie o expresie
	  unei variabile, va shi intoarce valoarea atribuita
 Sintaxa atribuirii:
   <variabila> = <expresie>;
      Se evalueaza <expresie> , se atribuie catre <variabila>
	shi apoi se intoarce valoarea atribuita
Ex:
   int a,b,c;
cout<<( a=(b=4)+(c=5) );//atribuie atit lui b val.4, lui c val. 5 shi apoi
		   //face suma, atribuind-o variabilei a, afishind valoarea
		   //atribuita, deci 9
   Pe baza obs. de mai sus, in C++ sunt valabile atribuiri multiple
de genul
  a=b=c=d=e=0;//atribuie val. 0 catre TOATE variabilele

!! a NU face acelashi lucru in cadrul unei expresii logice !!!
(ex: a==b==c e GRESHITA !! sau a<=b<=c)
============================
  Instructziunea if
  ~~~~~~~~~~~~~~~~~

  Obs. In cazul instr. care urmeaza, daca in locurile in care apare
o singura instructziune (care se executa conditzionat, repetat) avem
de executat mai multe, acestea trebuie grupate intre acolade
(instructziunea compusa sau bloc)

I.   if(<expr>) <instr>;
	 <=> daca expr e adevarata (sau nenula) se executa <instr>
       In caz contrar, NU se executa NIMIC
II.  if(<expr>) <instr1>;
	   else <instr2>;
      <=> daca e adevarata (nenula) se exec. <instr1>, daca nu
	   se executa <instr2>

  Instr. do..while
  ~~~~~~~~~~~~~~~~

do                   -> mai intii intra shi executa NECONDITZIONAT
 <instr>;                <instr>, dupa care verif. expresia.
while(<expr>);          Daca <expr> e adevarata, reia executzia.
			Daca nu, va ieshi.

Ex: apl05.cpp

   Rularea pas cu pas a unui program (debugging)
   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Cind incepem aceasta rulare, trebuie sa fim in fereastra programului.
    Pentru rulare linie cu linie, cu intrare in subprograme shi
in cin-uri, cout-uri: F7
    Rularea linie cu linie fara intrare in subprograme: F8
    Rularea normala pina la cursor shi de-acolo trecerea in modul
linie cu linie: F4
    Intreruperea rularii de tip debugging: Ctrl+F2

Pentru ca in timpul rularii sa pot vizualiza contzinutul variabilelor,
folosim fereastra de Watch (Window + Watch)
  Pe care o putem redimensiona fie cu mouse-ul, fie din taste
(Ctrl+F5 -> marginiele ii devin verzi, cu shift shi tastele sagetzi
o redimensionam, doar cu sagetzile o mutam. Cind ne-am hotarit = ENTER)


  O alta fereastra utila => Window + Output <=> O oglida a ecranului de
rulare din "spatele" mediului de programare. Ecranul de rulare poate
fi obtzinut cu Alt+F5

   Instructziunea while
   ~~~~~~~~~~~~~~~~~~~~

Sintaxa:
  while(<expr>)
	     <instr>;
Apl06.cpp

   Instructziunea for
   ~~~~~~~~~~~~~~~~~~
Sintaxa:
    for(<expr1>;<expr2>;<expr3>)
			     <instr>;

Obs. Oricare dintre cele 3 expresii poate sa lipseasca, ba chiar toate 3.
Daca lipseshte cea din mijloc, forul cicleaza la infinit
   Lucrul e valabil shi pentru do..while() sau while() daca lipseshte
expresia.

  DE FAPT, in C++ for-ul de mai sus este perfect echivalent cu:

    <expr1>;
    while(<expr2>)
      {
       <instr>;
       <expr3>;
      }

Forma cea mai intilnita a for-ului este cea care numara din 1 in 1
intre doua limite li shi lf
Ex:
   for(i=li;i<=lf;i++)
		<instr>;
   <=>
       i=li;
       while(i<=lf)
	{
	 <instr>;
	 i++;
	}

Ex: apl08.cpp
    apl09.cpp
============================
    Grafica in C++
    ~~~~~~~~~~~~~~

 -> pentru a putea desena, trebuie trecut in mod grafic (implicit
c++ pt. DOS lucrind in mod text)
 -> folosim biblioteca
      <graphics.h>

  trecerea se face prin:

int gd=DETECT,gm;
initgraph(&gd,&gm,"...calea grafica....");
		     aceasta e subdir. \bgi al direct. in care
		     am instalat bc-ul. De regula c:\bc\bgi sau d:\bc\bgi
(!! Atentzie sa dublatzi \ intre ghilimele!!)

Ex:

initgraph(&gd,&gm,"d:\\bc\\bgi");

  O data initzializat, putem folosi functzii de grafica.
In modul grafic ecranul e privit ca un sistem xOy cu O in coltzul stinga
sus al ecranului shi axa oy in jos:
O(0,0)                                   x  (max:639)
   +------------------------------------->
   |
   |
   |
   |
   |
   |
   |
   |
   |
   |
   |
   |
 y V(max:479)
Avem max. 16 culori (de la 0 la 15)
Codurile lor le gasitzi in help
(de ex. scrietzi RED shi datzi pe el CTRL+F1)

  Culoarea implicita la inceput este WHITE (alb)
schimbarea sa:
    setcolor(cod sau constanta);

Functzii:
  line(x0,y0,x1,y1); -> segment intre punctele de coord. cu pricina
  putpixel(x0,y0,culoare); -> desenaza un pixel la coord. cu pricina
		       de culoarea specificata
  circle(x0,y0,r); -> cerc cu centrul la (x0,y0) de raza r
  ellipse(x0,y0,unghi1,unghi2,r_oriz,r_vert);
		 -> elipsa cu centrul la (x0,y0), de raze oriz. shi vert.
			    (r_oriz shi r_vert),
		  cuprinsa intre unghiurile trigonometric masurate, date in
		  grade, unghi1 shi unghi2
  rectangle(x0,y0,x1,y1); -> dreptunghi cu 2 coltzuri diagonal opuse
		  in (x0,y0) (x1,y1)
  fillellipse(x0,y0,r_oriz,r_vert); -> elipsa umpluta (La fel ca
	aia normala, doar k NU mai avem unghiuri) -> deseneaza shi
	chenarul, cu culoare de la setcolor
  bar(x0,y0,x1,y1); -> dreptunghi umplut
  floodfill(x0,y0,<culoare_chenar>);
      incepind de la x0,y0 umple pina da de <culoare_chenar>
Setarile de umplere se dau cu

  setfillstyle(<tip_umplere>,<culoare_umplere>); inainte de a da functzia
      pt. figura umpluta sau floodfill

   <tip_umplere> = 1 pt. umplere solida
   2..11 -> modele de hashurare

Ex: apl10.cpp
