     Shiruri
     ~~~~~~~

 Shir = o variabila in care putem retzine mai multe elemente de acelashi
tip. Diferentzierea lor se face in functzie de un indice (numerotare),
care este intreg.
  In C++, declararea unui shir se face prin

<tip> <nume_shir>[<nr_elemente>];

Ex:
  int a[100];  -> un shir cu 100 de elemente de tip int.

In C++, indicii incep de la 0. Avind 100 de elemente, ei vor fi practic
cuprinshi intre 0 shi 99.

 Ex:
   int a[3]; vom avea elementele a[0], a[1] shi a[2]

 La declarare putem da shi valori elementelor:

  Ex: int a[4]={30,-8,5,9};
 -> vom avea shi valorile a[0]=30, a[1]=-8,...

Folosirea unui element in functzie de indicele sau se face prin
 a[indice], comportindu-se la fel ca o variabila obishnuita de tipul
respectiv.

  Operatziile standard cu shiruri
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Citirea:
  - utilizatorul este mai intii interogat asupa numarului de elemente
din shir (cite are de gind sa introduca) !! sa NU folositzi acest numar
mai mare decit maximul posibil din declaratzie
  - apoi se citesc elementele, pe un for. Este preferabil sa folosim indici
de la 1 pina capatam o tzira de experientza

cout<<"Cite elemente ai de gind sa introduci ? ";
cin>>n;
for(i=1;i<=n;i++)
 {
  cout<<"Introdu, s'il te plait, elementul al "<<i<<"-lea:";
  cin>>a[i];
 }

Afisharea:

for(i=1;i<=n;i++) cout<<a[i]<<" ";
cout<<"\n";


   Cautarea unei valori care satisf. o conditzie, intr-un shir
   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Fie a shirul cu n elemente in care cautam.
  Daca valoarea e gasita, ne intereseaza sa determinam indicele la care ea se
afla in shir.
  Vom folosi variabila k pentru indice

    k=1;//plecam s-o cautam de la indicele 1
    while(k<=n && a[k] NU indeplineshte conditzia)
						  k++;
//traducerea while-ului de mai sus:
   //  cit timp(mai avem unde cauta && inca n-am gasit)
			   // cautam mai departe

    //daca terminarea while-ului s-a facut pt. k n-am gasit,
    //inseamna ca s-a facut falsa prima dintre conditzii, k<=n
    //deci la ieshire vom gasi k>n (ba chiar k==n+1) ->
    if(k>n) ->..... n-am gasit
       else -> am gasit, indicele fiind tocmai k

apl02.cpp


      Inserarea unui element intr-un shir la un indice k
      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Ex:
a=(3,6,10,-4,7) n=4
la indicele k=3 vrem sa inseram valoarea v=123
dupa inserare:
   a=(3,6,123,10,-4,7)

Deci:
 * elementele dintre indicii k shi n trebuie deplasate cu o pozitzie la
   dreapta
       for(i=n;i>=k;i--)
		    a[i+1]=a[i];
 * actualizam n-ul
       n++;
 * la indicele k trecem elementul dorit:
       a[k]=v;

      Shtergerea unui element de la un indice k
      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 Ex: a=(3,6,123,10,-4,7) shi shtergem elem. de la indicele k=2
=> a=(3,123,10,-4,7)

Deci:
 * elementele dintre indicii k+1 shi n vor fi deplasate cu o pozitzie la
   stinga:
      for(i=k+1;i<=n;i++)
		   a[i-1]=a[i];
 * actualizam n-ul
      n--;

 Ex: apl03.cpp
===========================
    Shiruri de caractere (stringuri)
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  Din punct de vedere al declararii, sunt ceea ce le zice shi numele.

char a[100];
  Un shir de caractere in C++ are proprieteatea ca, pentru a marca sfirshitul
de shir se foloseshte caracterul nul.
 Din punct de vedere al utilizarii sale, sub forma de constanta caracter
el este '\0'
 Ca shi intreg este pur shi simplu 0.

Deci, intr-un string putem avea maxim nr. de elemente din declarare -1,
din cauza acestui 0.
 Primul caracter din string are indicele 0.

O serie de functzii care se pot aplica stringurilor se afla in biblioteca
string.h

 Stringurile pot fi initzializate cu constante de tip string astfel:
* la declarare:
       char a[100]="Ana are perje";
   !! -> DOAR aici merge atribuirea cu egal !!
* in cadrul programului: trebuie folosita functzia
     strcpy(<variabila_string>,<valoare>);
	      din string.h
       Se face prin
	   strcpy(a,"Cici e mic");
* un string poate fi format caracter cu caracter (UN caracter poate fi
  atribuit cu = oriunde)
    Ex:
       char b[15];//in asta putem avea maxim 14 caractere
       b[0]='B';
       b[1]='a';
       b[2]='c';
       b[3]='i';
       b[4]='u';
       b[5]=0;
       cout<<b; //se va afisha "Baciu"
Ex: apl04.cpp

* citirea unui string:
     DACA folosin cin>> variab_string;
   se opreshte cind da de primul spatziu
 E preferabil sa folosim
    cin.get(variabila_string,nr_caractere+1);
 -> nr_caractere reprezinta nr. maxim de caractere pe care are voie
 sa le citeasca in string.
   Daca introducem mai putzine, citeshte pina da da enter.
 -> !! cin.get(string,n+1) NU trece de enter (urmatoarea citire de string
 va citi stringul vid)
   acest lucru (trecerea de enter) trebuie facuta prin cin.get(); -> in gol

Ex: apl05.cpp

Tema : de la ACSl, din 83-84, de la Junior
problemele din pag. 54, 60, 66